单个设置规则 - MSKU
POST
/erp/sc/routing/fbaSug/msku/setConfig支持设置单个MSKU的FBA补货建议规则
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/routing/fbaSug/msku/setConfig | HTTPS | POST | 1 |
请求参数
sidinteger必填mskustring必填days_planstring必填days_qcstring必填sm_fba_listarray<object>必填隐藏子属性
sm_idstring必填daysstring必填sm_oversea_listarray<object>必填隐藏子属性
sm_idstring必填daysstring必填days_oversea_to_fbanumber必填days_frequency_purchasenumber必填days_frequency_local_sendnumber必填days_frequency_oversea_sendnumber必填safe_daynumber必填is_ignore_certainly_shortnumber必填is_ignore_history_out_stocknumber必填days_touchengnumberdays_overseanumberdays_toucheng_airnumberdays_oversea_airnumberdefault_type_touchengnumberdefault_type_overseanumberdays_frequencynumberconfig_listarray<object>必填隐藏子属性
titlestring必填is_defaultinteger必填typeinteger必填weigth_3number必填weigth_7number必填weigth_14number必填weigth_30number必填weigth_60number必填weigth_90number必填volumestring必填date_startstring必填date_endstring必填denoise_listarray<object>必填隐藏子属性
titlestring必填date_startstring必填date_endstring必填typeinteger必填percentnumber必填volumenumber必填请求示例
{
"sid": 3,
"msku": "xxxxx",
"days_plan": "2",
"days_qc": "3",
"sm_fba_list": [
{
"sm_id": "241250000631390721",
"days": "25"
}
],
"sm_oversea_list": [
{
"sm_id": "241250000631390721",
"days": "20"
}
],
"days_oversea_to_fba": 0,
"days_frequency_purchase": 0,
"days_frequency_local_send": 0,
"days_frequency_oversea_send": 0,
"safe_day": 14,
"is_ignore_certainly_short": 0,
"is_ignore_history_out_stock": 0,
"config_list": [
{
"title": "默认规则",
"is_default": 1,
"type": 1,
"weigth_3": 0,
"weigth_7": 50,
"weigth_14": 30,
"weigth_30": 20,
"weigth_60": 0,
"weigth_90": 0,
"volume": "0.09",
"date_start": "2023-11-01",
"date_end": "2023-11-30"
}
],
"denoise_list": [
{
"title": "规则1",
"date_start": "2023-11-01",
"date_end": "2023-11-30",
"type": 1,
"percent": 0,
"volume": 10
}
]
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataobject必填totalinteger必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "D1A58D16-B0F6-F15C-5E83-7DADA07165B1",
"response_time": "2021-11-11 17:53:14",
"data": {},
"total": 0
}